function StorageHandler() {
    this.sessionKey = null;
    this.clientId = null;
    this.userId = null;
    this.store = window.localStorage;
}

StorageHandler.prototype.setItem = function(key, value, callback) {
    this[key] = value;
    this.store.setItem(key, value); 
    if (callback !== undefined) {
        callback();
    }
};

StorageHandler.prototype.getItem = function(key) {
    var item;
    // If we have already set this item, we use that one
    if (this[key] !== null && this[key] !== undefined) {
        return this[key];
    }
    
    // If the item is not set, we try to fetch it from storage
    item = this.store.getItem(key);
    if (item !== null && item !== '') {
        this[key] = item;
        return item;
    }

    // If the item is not set anywhere, we return null
    return null;
}
